Has anyone experimented with pulling commits from an external ikiwiki into your own?

I ask because I've just read a great [article about Federated Wikis](http://hapgood.us/2014/11/06/federated-education-new-directions-in-digital-collaboration/ "Federated Education: New Directions In Digital Collaboration").

Anyway, the author opens with the idea that good ideas are often lost or delayed for years because of we don't communicate as well as we could.  He presents an example: Arthur C. Clarke speculating about GPS over a decade before Sputnik.

He goes on to present the idea of a federation of wikis.  Note: 'federation' is used as a technical term here: cf. email or Google Wave.

I for one am persuaded by his article, because wiki federation is an idea I've had before!

With ikiwiki, couldn't it work just by adding external wikis as remotes and selectively merging from them?

Cheers,

--Dave
